Subject: Re: bug#79406: [PATCH] 31.0.50; csharp-ts-mode does not fontify variable-use consistently

From: Jostein Kjønigsen <[email-masked]>
Date: Mon, 8 Sep 2025 14:50:23 +0200

> On 8 Sep 2025, at 13:14, Eli Zaretskii <[email-masked]> wrote:
> 
> Are all of these appropriate for the default value of
> treesit-font-lock-level?  

I'll have to be honest and admit I haven't tested any major-mode in "default" fontification level in probably a decade. My settings is maximum detail, and I've based my findings on that.

It may previously have been difficult to compartementalize some of these fontifications into different features and levels (due to extensive use of override:t and rules being heavily order-dependent).

With the changes in this patch however, I can probably move some rules about if that's wanted. Anything in particular you are thinking about?

> I see that
> csharp-ts-mode--font-lock-settings doesn't use the level at all -- is
> that on purpose?

I'm not sure I'm following. We have the following LISP to configure tree-sitter for the different feature-levels?

  (setq-local treesit-font-lock-feature-list
              '(( comment definition)
                ( keyword string type directives)
                ( constant escape-sequence expression literal attribute)
                ( function bracket delimiter error)))

Can you provide a more concrete example of what you think is missing or inappropriate and I can try to address that.

—
Kind Regards
Jostein Kjønigsen